summaryrefslogtreecommitdiff
path: root/VA/run-paper-weak.sh
diff options
context:
space:
mode:
authorDaniel Friesel <daniel.friesel@uos.de>2023-05-30 16:32:47 +0200
committerDaniel Friesel <daniel.friesel@uos.de>2023-05-30 16:32:47 +0200
commitecf6521037c5a9340b137e3bf5df87790c33c58a (patch)
tree778fa7b9069e10aa6050f7bd896f606d4cfa9293 /VA/run-paper-weak.sh
parentf167444c7acf9d0a558b076681c821915f6781b4 (diff)
VA: new dfatool format; -O and reproduction benchmarks
Diffstat (limited to 'VA/run-paper-weak.sh')
-rwxr-xr-xVA/run-paper-weak.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/VA/run-paper-weak.sh b/VA/run-paper-weak.sh
new file mode 100755
index 0000000..99eed79
--- /dev/null
+++ b/VA/run-paper-weak.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+set -e
+
+# BL: use 2^(BL) B blocks for MRAM <-> WRAM transfers on PIM module
+# T: data type
+# -w: number of un-timed warmup iterations
+# -e: number of timed iterations
+# -i; ignored, always uses 262144 elements
+
+echo "prim-benchmarks VA weak (dfatool edition)"
+echo "Started at $(date)"
+echo "Revision $(git describe --always)"
+
+for nr_dpus in 1 4 16 64; do
+ for nr_tasklets in 1 2 4 8 16; do
+ echo
+ if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10; then
+ timeout --foreground -k 1m 30m bin/host_code -w 0 -e 100 -i 2621440 -x 0 || true
+ fi
+ done
+done | tee log-paper-weak.txt